I applied the GMS patch to my mobile server just fine. Tried to apply it
to run setup for the SecureGateway portion on my SG Server in the dmz and
it says that it is going to do an upgrade and then stops and says that the
installed version is newer then the patch.

Any ideas - the version I am running is the original release.